## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check

%global crate bankstown-lv2

Name:           rust-bankstown-lv2
Version:        1.1.0
Release:        %autorelease
Summary:        Barebones, fast LV2 bass enhancement plugin

License:        MIT
URL:            https://crates.io/crates/bankstown-lv2
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  make

# Not supported by rust-lv2
ExcludeArch:    ppc64le s390x

%global _description %{expand:
Bankstown is a barebones, fast LV2 bass enhancement plugin implementing
halfway-decent three-stage psychoacoustic bass approximation.}

%description %{_description}

%package     -n lv2-bankstown
Summary:        %{summary}
License:        MIT AND (MIT OR Apache-2.0)
Requires:       lv2
Provides:       %{crate} = %{version}-%{release}
Provides:       %{crate}%{?_isa} = %{version}-%{release}
Obsoletes:      %{crate} < 1.0.0-2

%description -n lv2-bankstown %{_description}

%files       -n lv2-bankstown
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_libdir}/lv2/bankstown.lv2/

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%make_install LIBDIR="%{_libdir}"

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jul 25 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Dec 29 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 1.1.0-1
- Update to 1.1.0; Fixes: RHBZ#2256181

* Fri Dec 15 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 1.0.3-1
- Update to 1.0.3; Fixes: RHBZ#2254708

* Thu Dec 14 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 1.0.2-1
- Update to 1.0.2; Fixes: RHBZ#2254519

* Tue Oct 31 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 1.0.0-2
- Rename binary package and fix license

* Tue Oct 31 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 1.0.0-1
- Initial import; Fixes: RHBZ#2247093
## END: Generated by rpmautospec
